ECHO OFF
CLS

rem **************************************************************
rem
rem This batch file compliments of Bob Miller on Cypress Lake BBS!
rem If you like it, give us a call sometime BBS: 318-965-0307
rem
rem     FREEY GIVEN WITH NO WARRANTIES EXPRESSED OR IMPLIED
rem       Basically, use this information at your own risk
rem                        and ENJOY!
rem
rem
rem           >>>>>   EDIT THIS FILE AS NEEDED  <<<<<<
rem
rem
rem      This file is for the HUB or Main BBS.  It will create
rem      the "packets" for each of the NODES or BBSs playing
rem      the interbbs game.  
rem
rem      Although this file was written for use on a Wildcat BBS, it 
rem      IS GENERIC and will work on ANY BBS with a DOS environment 
rem      or DOS Shell including OS2 and Windows 95.
rem
rem      CHANGE:  You should edit this file to correctly show
rem            the path(s) you have entered in your 'Local
rem            Configuration'.  Also change the path for the   
rem            File Location of the Upload/Download files for 
rem            your other BBSs playing in the game.  Basically
rem            follow the batch file and change paths as needed.
rem            If you don't understand batch files or the DOS 
rem            command line, you are in trouble and shouldnt attempt
rem            being a HUB for all the other BBSs playing this game.
rem          
rem *************************************************************


echo ************************************************************
echo     Creating OUTBOUND PACKETS for each node to download
echo     and for them to unzip into their  C:\LNET\TRANS  directory.
rem  
rem      BBS FILE AREA:
rem      Define a BBS file area on your bbs for the callers to U/D Load
rem      their daily packets.  You can also place the BBS play "Kits" there
rem      The C:\LNPACKET directory is a File Upload/Download directory
rem      I defined on my BBS for the incoming/outgoing packets. CHANGE 
rem      C:\LNPACKET directory to match a BBS file area you setup for 
rem      this purpose.
rem 
REM      BBS NODE NUMBERS:
rem      Each BBS playing the in the game has their own
rem      node number.  Change the node number(s) in this file
rem      to match the node numbers you defined in the ALTERNATE
rem      ADDRESS EDITOR under the Network Coordinator Menu.
rem      Simply Add or Delete the lines below to match the number  
rem      of nodes playing in this game.
rem      
rem      IMPORTANT:
rem      Under the Alt Addr. Editor you will see node 02 is really
rem      defined as 1:1/2 and node 03 is 1:1/3, etc.
rem 
echo ************************************************************

C:
CD\LNET
OUTBOUND

echo **************************************************************************
echo             Creating New Packets for Playing BBS Sites
rem
rem This part is adding new attacks, score info., changes to the config.,
rem new site additions, etc. to the packets to be sent to each BBS playing
rem in the game.  It also does some checking to help prevent lost attacks!
rem The creative batches below are looking to see if each site called and
rem uploaded a packet, yesterday.  It is safe to assume (for the most part)
rem that if they called and uploaded their packet, the also took their 
rem packet yesterday.  We are looking for new packets from the playing BBSs
rem and appending the ones who didnt upload.  We dont want to delete  the 
rem packets until they have downloaded the previous packet.  We can con-
rem tinue to "hold" the new attacks for the following day.  Encourage your
rem playing BBSs to call *Everyday*.  This is a merely an attempt to backup
rem packets so they can all be processed by all BBSs and reduce lost attacks.
rem
rem OH!  It is easier to "REM"ark out the unsed lines below and un"REM" them
rem as needed than it is to  rewrite the entire section.  Simply add or remove
rem the REM in from of each line to add or remove checking for the number of
rem BBS nodes playing.  15 BBSs may play without adding more lines...  :)
rem
rem NOTE:  Always leave an extra  " :CHECKxx "  after checking the last node
rem if you have 8 nodes playing, after checking node 8 for packets, you should
rem have a line by itself that says...   :CHECK09   then the rest of the lines
rem will have REM in from of them up through checking BBS site # 16.
echo **************************************************************************

CD\LNPACKET

:CHECK02
rem *************************************************************************
rem  Let's check and see if we got a new packet from this node, last night.
rem *************************************************************************
IF EXIST C:\LNPACKET\LNET02OT.ZIP GOTO PACK02
PKZIP -A LNET02IN.ZIP C:\LNET\TRANS\LN02*.*
DEL C:\LNET\TRANS\LN02*.* 
GOTO CHECK03
:PACK02
rem *************************************************************************
rem  If the "PACK02" part below is run, it means we did get a packet from this
rem  BBS last night.  We can save disk space and transfer time now by deleting
rem  the old stuff they already have and making a fresh new packet for them.
rem  The same process is used for each site/node in this game.
rem ************************************************************************
DEL LNET02IN.ZIP
PKZIP LNET02IN.ZIP C:\LNET\TRANS\LN02*.* 
DEL C:\LNET\TRANS\LN02*.* 

:CHECK03
rem IF EXIST C:\LNPACKET\LNET03OT.ZIP GOTO PACK03
rem PKZIP -A LNET03IN.ZIP C:\LNET\TRANS\LN03*.*
rem DEL C:\LNET\TRANS\LN03*.* 
rem GOTO CHECK04
rem :PACK03
rem DEL LNET03IN.ZIP
rem PKZIP LNET03IN.ZIP C:\LNET\TRANS\LN03*.* 
rem DEL C:\LNET\TRANS\LN03*.* 
rem 
rem :CHECK04
rem IF EXIST C:\LNPACKET\LNET04OT.ZIP GOTO PACK04
rem PKZIP -A LNET04IN.ZIP C:\LNET\TRANS\LN04*.*
rem DEL C:\LNET\TRANS\LN04*.* 
rem GOTO CHECK05
rem :PACK04
rem DEL LNET04IN.ZIP
rem PKZIP LNET04IN.ZIP C:\LNET\TRANS\LN04*.* 
rem DEL C:\LNET\TRANS\LN04*.* 
rem 
rem :CHECK05
rem IF EXIST C:\LNPACKET\LNET05OT.ZIP GOTO PACK05
rem PKZIP -A LNET05IN.ZIP C:\LNET\TRANS\LN05*.*
rem DEL C:\LNET\TRANS\LN05*.* 
rem GOTO CHECK06
rem :PACK05
rem DEL LNET05IN.ZIP
rem PKZIP LNET05IN.ZIP C:\LNET\TRANS\LN05*.* 
rem DEL C:\LNET\TRANS\LN05*.* 
rem 
rem :CHECK06
rem IF EXIST C:\LNPACKET\LNET06OT.ZIP GOTO PACK06
rem PKZIP -A LNET06IN.ZIP C:\LNET\TRANS\LN06*.*
rem DEL C:\LNET\TRANS\LN06*.* 
rem GOTO CHECK07
rem :PACK06
rem DEL LNET06IN.ZIP
rem PKZIP LNET06IN.ZIP C:\LNET\TRANS\LN06*.* 
rem DEL C:\LNET\TRANS\LN06*.* 
rem 
rem :CHECK07
rem IF EXIST C:\LNPACKET\LNET07OT.ZIP GOTO PACK07
rem PKZIP -A LNET07IN.ZIP C:\LNET\TRANS\LN07*.*
rem DEL C:\LNET\TRANS\LN07*.* 
rem GOTO CHECK08
rem :PACK07
rem DEL LNET07IN.ZIP
rem PKZIP LNET07IN.ZIP C:\LNET\TRANS\LN07*.* 
rem DEL C:\LNET\TRANS\LN07*.* 
rem 
rem :CHECK08
rem IF EXIST C:\LNPACKET\LNET08OT.ZIP GOTO PACK08
rem PKZIP -A LNET08IN.ZIP C:\LNET\TRANS\LN08*.*
rem DEL C:\LNET\TRANS\LN08*.* 
rem GOTO CHECK09
rem :PACK08
rem DEL LNET08IN.ZIP
rem PKZIP LNET08IN.ZIP C:\LNET\TRANS\LN08*.* 
rem DEL C:\LNET\TRANS\LN08*.* 
rem 
rem :CHECK09
rem IF EXIST C:\LNPACKET\LNET09OT.ZIP GOTO PACK09
rem PKZIP -A LNET09IN.ZIP C:\LNET\TRANS\LN09*.*
rem DEL C:\LNET\TRANS\LN09*.* 
rem GOTO CHECK10
rem :PACK09
rem DEL LNET09IN.ZIP
rem PKZIP LNET09IN.ZIP C:\LNET\TRANS\LN09*.* 
rem DEL C:\LNET\TRANS\LN09*.* 
rem 
rem :CHECK10
rem IF EXIST C:\LNPACKET\LNET10OT.ZIP GOTO PACK10
rem PKZIP -A LNET10IN.ZIP C:\LNET\TRANS\LN10*.*
rem DEL C:\LNET\TRANS\LN10*.* 
rem GOTO CHECK11
rem :PACK10
rem DEL LNET10IN.ZIP
rem PKZIP LNET10IN.ZIP C:\LNET\TRANS\LN10*.* 
rem DEL C:\LNET\TRANS\LN10*.* 
rem 
rem :CHECK11
rem IF EXIST C:\LNPACKET\0NET11OT.ZIP GOTO PACK11
rem PKZIP -A LNET11IN.ZIP C:\LNET\TRANS\LN11*.*
rem DEL C:\LNET\TRANS\LN11*.* 
rem GOTO CHECK12
rem :PACK11
rem DEL LNET11IN.ZIP
rem PKZIP LNET11IN.ZIP C:\LNET\TRANS\LN11*.* 
rem DEL C:\LNET\TRANS\LN11*.* 
rem 
rem :CHECK12
rem IF EXIST C:\LNPACKET\LNET12OT.ZIP GOTO PACK12
rem PKZIP -A LNET12IN.ZIP C:\LNET\TRANS\LN12*.*
rem DEL C:\LNET\TRANS\LN12*.* 
rem GOTO CHECK13
rem :PACK12
rem DEL LNET12IN.ZIP
rem PKZIP LNET12IN.ZIP C:\LNET\TRANS\LN12*.* 
rem DEL C:\LNET\TRANS\LN12*.* 
rem 
rem :CHECK13
rem IF EXIST C:\LNPACKET\LNET13OT.ZIP GOTO PACK13
rem PKZIP -A LNET13IN.ZIP C:\LNET\TRANS\LN13*.*
rem DEL C:\LNET\TRANS\LN13*.* 
rem GOTO CHECK14
rem :PACK13
rem DEL LNET13IN.ZIP
rem PKZIP LNET13IN.ZIP C:\LNET\TRANS\LN13*.* 
rem DEL C:\LNET\TRANS\LN13*.* 
rem 
rem :CHECK14
rem IF EXIST C:\LNPACKET\LNET14OT.ZIP GOTO PACK14
rem PKZIP -A LNET14IN.ZIP C:\LNET\TRANS\LN14*.*
rem DEL C:\LNET\TRANS\LN14*.* 
rem GOTO CHECK15
rem :PACK14
rem DEL LNET14IN.ZIP
rem PKZIP LNET14IN.ZIP C:\LNET\TRANS\LN14*.* 
rem DEL C:\LNET\TRANS\LN14*.* 
rem 
rem :CHECK15
rem IF EXIST C:\LNPACKET\LNET15OT.ZIP GOTO PACK15
rem PKZIP -A LNET15IN.ZIP C:\LNET\TRANS\LN15*.*
rem DEL C:\LNET\TRANS\LN15*.* 
rem GOTO CHECK16
rem :PACK15
rem DEL LNET15IN.ZIP
rem PKZIP LNET15IN.ZIP C:\LNET\TRANS\LN15*.* 
rem DEL C:\LNET\TRANS\LN15*.* 
rem 
rem :CHECK16

rem  ************************************************************
rem  Add more packet checking here as in the above for more than
rem  15 BBSs calling your Hub.  Leave the   :CHECK16  above this
rem  line.   if you add more BBS nodes then make a  :CHECKxx
rem  line after the last node similar to above.
rem  ************************************************************


echo ************************************************************
echo    Taking INCOMING PACKETS from all BBSs playing the game 
echo    and placing them in this Hubs C:\LNET\TRANS directory.
echo ************************************************************

C: 
CD C:\LNET\TRANS
PKUNZIP -O C:\LNPACKET\LNET??OT.ZIP
PKUNZIP -O *.Z??
CD C:\LNET\DATA
PKUNZIP -O C:\LNET\TRANS\*.Z?? *.DAT
DEL C:\LNET\TRANS\U*.DAT
DEL C:\LNET\TRANS\*.Z??
DEL C:\LNPACKET\LNET??OT.ZIP
CD C:\LNET
INBOUND

echo ************************************************************
echo        Now processing Daily Bulletins - Please wait.....
rem     
rem     Don't forget to edit your BULLITEN.CFG file for the correct
rem     FILENAMES and their LOCATIONS....   :)
echo ************************************************************

C:
CD\LNET
LORDNET BULL
CD\BBS
